{
    "function": "set_components",
    "components": {
      "custom_data": {
        "or_is_armor": true,
        "or_armor_type": "chainmail",
        "or_armor_piece": "boots",
        "or_protects_against_bleeding": true,
        "or_armor_category": "chainmail",
        "or_item_has_weight": true,
        "or_item_weight_type": "percent",
        "or_item_weight_value": 10
      },
      "enchantments": {
        "overly_realistic:or_internal_armor/or_internal_boots": 1
      },
      "tooltip_display": {
        "hidden_components": [
          "enchantments"
        ]
      },
      "item_name": {
        "translate": "item.overlyrealistic.chainmail_boots",
        "fallback": "Chainmail Boots",
        "color": "white"
      },
      "enchantment_glint_override": false,
        "minecraft:attribute_modifiers": [
        {
          "type": "minecraft:armor",
          "amount": 1.0,
          "id": "minecraft:armor.boots",
          "operation": "add_value",
          "slot": "feet"
        },
        {
          "type": "minecraft:armor_toughness",
          "amount": 0.0,
          "id": "minecraft:armor.boots",
          "operation": "add_value",
          "slot": "feet"
        },
        {
          "type": "movement_speed",
          "amount": -0.01,
          "id": "overly_realistic:iron_armor_debuff_boots",
          "operation": "add_multiplied_total",
          "slot": "feet",
          "display": {
            "type": "override",
            "value": [{"text":"-1% Speed","color":"blue"}]
          }
        }
      ]
    }
}